## org.exist.storage.analysis
Class TextToken

    java.lang.Object
      org.exist.storage.analysis.TextToken

All Implemented Interfaces:
  java.lang.Comparable

public class TextToken
extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static int` `ACRONYM`
`static int` `ALPHA`
`static int` `ALPHANUM`
`static int` `DIGIT`
`static int` `EMAIL`
`static int` `EOF`
`static TextToken` `EOF_TOKEN`
`static int` `FLOAT`
`static int` `HOST`
`static int` `LETTER`
`static int` `NUMBER`
`static int` `P`
`static java.lang.String[]` `types`
`static int` `WS`
`static TextToken` `WS_TOKEN`

Constructor Summary
`TextToken()`
`TextToken(int type)` Constructor for the Token object
`TextToken(int type, java.lang.CharSequence text)` Constructor for the Token object
`TextToken(int type, java.lang.CharSequence text, int start)` Constructor for the Token object
`TextToken(int type, java.lang.CharSequence text, int start, int end)` Constructor for the Token object

Method Summary
`int` `compareTo(java.lang.Object o)`
`void` `consume(TextToken token)`
`void` `consumeNext()` Consume the next character in the current buffer by incrementing the end offset.
`int` `endOffset()`
`boolean` `equals(java.lang.Object obj)`
`char` `getChar()`
`java.lang.CharSequence` `getCharSequence()`
`java.lang.String` `getText()`
`int` `getType()`
`int` `hashCode()`
`boolean` `isAlpha()`
`int` `length()`
`void` `set(int type, java.lang.CharSequence text, int start)`
`void` `setText(java.lang.String text)`
`void` `setType(int type)`
`int` `startOffset()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALPHA

    public static final int ALPHA

See Also:
  Constant Field Values

### ALPHANUM

    public static final int ALPHANUM

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### P

    public static final int P

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### HOST

    public static final int HOST

See Also:
  Constant Field Values

### EMAIL

    public static final int EMAIL

See Also:
  Constant Field Values

### ACRONYM

    public static final int ACRONYM

See Also:
  Constant Field Values

### WS_TOKEN

    public static final TextToken WS_TOKEN

### EOF_TOKEN

    public static final TextToken EOF_TOKEN

### types

    public static final java.lang.String[] types

Constructor Detail

### TextToken

    public TextToken()

### TextToken

    public TextToken(int type,
                     java.lang.CharSequence text)

  Constructor for the Token object

Parameters:
  `type` - Description of the Parameter
  `text` - Description of the Parameter

### TextToken

    public TextToken(int type,
                     java.lang.CharSequence text,
                     int start)

  Constructor for the Token object

Parameters:
  `type` - Description of the Parameter
  `text` - Description of the Parameter
  `start` - Description of the Parameter

### TextToken

    public TextToken(int type,
                     java.lang.CharSequence text,
                     int start,
                     int end)

  Constructor for the Token object

Parameters:
  `type` - Description of the Parameter
  `text` - Description of the Parameter
  `start` - Description of the Parameter
  `end` - Description of the Parameter

### TextToken

    public TextToken(int type)

  Constructor for the Token object

Parameters:
  `type` - Description of the Parameter

Method Detail

### set

    public void set(int type,
                    java.lang.CharSequence text,
                    int start)

### startOffset

    public int startOffset()

### endOffset

    public int endOffset()

### isAlpha

    public boolean isAlpha()

### consumeNext

    public void consumeNext()

  Consume the next character in the current buffer by incrementing the end offset.

### consume

    public void consume(TextToken token)

### getChar

    public char getChar()

### getCharSequence

    public java.lang.CharSequence getCharSequence()

### getText

    public java.lang.String getText()

### getType

    public int getType()

### setType

    public void setType(int type)

### setText

    public void setText(java.lang.String text)

### length

    public int length()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.